package com.training.catalog.service;

import java.util.List;
import java.util.Optional;

import org.springframework.stereotype.Service;

import com.training.catalog.model.Product;
import com.training.catalog.respository.CatalogRepository;

@Service
public class CatalogServiceImpl implements CatalogService {

	private CatalogRepository catalogRepository;
	
	@Override
	public List<Product> getProducts() {
		List<Product> listOfProducts = catalogRepository.findAll();
		return listOfProducts;
	}

	@Override
	public Product getProduct(String name) {
		Optional<Product> findById = catalogRepository.findById(name);
		if (findById.isPresent()) {
			return findById.get();
		}
		return null;
	}

}
