package com.training.product.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.training.product.model.Product;
import com.training.product.service.BagService;

@RestController
@RequestMapping("/product")
public class BagController {

	@Autowired
	private BagService bagService;

	@PostMapping
	public ResponseEntity<String> addProduct(@RequestBody Product product) {
		return new ResponseEntity<String>(bagService.addProduct(product), HttpStatus.OK);
	}

	@DeleteMapping("/{name}")
	public ResponseEntity<String> deleteProduct(@PathVariable("name") String name) {
		return new ResponseEntity<String>(bagService.deleteProduct(name), HttpStatus.OK);
	}

	@PutMapping("/{name}")
	public ResponseEntity<String> updateProduct(@PathVariable("name") String name, @RequestBody Product product) {

		return new ResponseEntity<String>(bagService.updateProduct(name,product), HttpStatus.OK);
	}

}
